import re

def luhn_checksum(card_number):
    def digits_of(n):
        return [int(d) for d in str(n)]
 
    digits = digits_of(card_number)
    odd_digits = digits[-1::-2]
    even_digits = digits[-2::-2]
    checksum = 0
    checksum += sum(odd_digits)
    for d in even_digits:
        d_0 = 2*d
        d_1 = d_0 // 10
        d_2 = d_0 % 10
        checksum += d_1
        checksum += d_2
 
    return checksum % 10

def f(text):
    ans = []
    patten = "[Bb]ank[Nn]o.*(\d{4}[- ]\d{4}[- ]\d{4}[- ]\d{1,6})"  #每种patten都跑一遍
    patten = "cardNo.*(\d{4}[- ]\d{4}[- ]\d{4}[- ]\d{1,6})"
    patten = "[Cc]ard&.*(\d{4}[- ]\d{4}[- ]\d{4}[- ]\d{1,6})"
    reses = re.findall(patten, text)
    # print(reses)
    for res in reses:
        ans.append(res)
    return ans

ff = open("bank.txt", "a")
texts = open('./sens_data.txt', 'r').readlines()
for ii in range(len(texts)):
    text = texts[ii]
    ans = f(text)
    # print(ans)
    for i in ans:
        print(ii+1)
        # print("cheching : "+ i)
        #if luhn_checksum(i[1:-1]) == int(i[-1]):
        print(i[1:])
        print(ii + 1,"BankCard", i[1:])
        ff.write(str(ii + 1) + ",BankCard," + str(i[0:]))  
        ff.write("\n")

